Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

https://www.googleapis.com/auth/userinfo.email
google_id_token-a99f12e0

View your email address

https://www.googleapis.com/auth/userinfo.email
google_id_token_legacy-a99f12e0

View your email address

Path Parameters

driveId
string
required

The ID of the file

Query Parameters

limit
integer<int32>

The maximum number of versions per page. (Default: 100, must be positive and inferior or equal to 100)

offset
integer<int32>

The offset from which we should get the versions. (Default: 0, i.e. from the first one)

order
string
default:asc

The order mode of the versions (either 'asc' or 'desc') based on their creation date

securityCode
string

The security code

domain
string

The G Suite domain

Response

200 - application/json

A ApiVersionList response

forceNumberVersions
boolean
kind
string
nextVersionName
string
totalNumberOfVersions
integer<int32>
versions
object[]